%define major 1
%define libname %mklibname %{name} %{major}
%define libnamedevel %mklibname -d %{name}

Name:		sbc
Version:	2.0
Release:	%mkrel 2
Summary:	Bluetooth SBC utilities

Group:		Communications/Mobile
License:	GPLv2+
Source0:	https://www.kernel.org/pub/linux/bluetooth/sbc-%{version}.tar.xz
Url:		https://www.bluez.org/
#
# from upstream (https://git.kernel.org/pub/scm/bluetooth/sbc.git)
#

# from debian
Patch0100:	0001-Add-config.h-in-sbc-sbc_primitives.h.patch
# from omv (avoid -fgcse-after-reload)
Patch0101:	sbc-1.2-clang-build-flags.patch

BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	bluez-devel
BuildRequires:	libsndfile-devel

%description
Bluetooth SBC utilities.

%package -n %{libname}
Summary:	Bluetooth SBC library
Group:		System/Libraries

%description -n %{libname}
Bluetooth SBC library.

%package -n %{libnamedevel}
Summary:	Bluetooth SBC development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
Bluetooth SBC development files.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --enable-high-precision
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/sbcdec
%{_bindir}/sbcenc
%{_bindir}/sbcinfo

%files -n %{libname}
%{_libdir}/libsbc.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/%{name}
%{_libdir}/libsbc.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Nov 14 2024 ghibo <ghibo> 2.0-2.mga10
+ Revision: 2115477
- Avoid stronger optimization (-fgcse-after-reload) beyond system flags.
- Enable high-precision.

* Sat Sep 10 2022 neoclust <neoclust> 2.0-1.mga9
+ Revision: 1886492
- New version 2.0

* Mon Mar 28 2022 umeabot <umeabot> 1.4-3.mga9
+ Revision: 1830220
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1519975
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 27 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1326119
- new version: 1.4

* Sun Sep 23 2018 umeabot <umeabot> 1.3-2.mga7
+ Revision: 1300930
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1220094
- new version: 1.3

* Mon Feb 08 2016 umeabot <umeabot> 1.2-4.mga6
+ Revision: 946065
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 739835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 689042
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 1.2-1.mga5
+ Revision: 669625
- New version: 1.2

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 531716
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 wally <wally> 1.1-1.mga4
+ Revision: 464666
- new version 1.1 (mga#10937)
- add more common provides to devel pkg
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 381769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 colin <colin> 1.0-1.mga3
+ Revision: 313344
- imported package sbc

